usetc(3)

NAME
usetc - Low level helper function for writing Unicode text data. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int usetc(char *s, int c);

DESCRIPTION
Low level helper function for writing Unicode text data. Writes the character `c' to the address pointed to by `s'.

RETURN VALUE
Returns the number of bytes written, which is equal to the width of the character in the current encoding format.

SEE ALSO
ugetc(3), ugetx(3), uwidth(3), ucwidth(3), uisok(3)